Subject: Re: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Jambunathan K <[email-masked]>
Date: Tue, 13 Sep 2011 10:16:48 +0530

Eli Zaretskii <[email-masked]> writes:

>> From: Antoine Levitt <[email-masked]>
>> Date: Mon, 12 Sep 2011 13:50:56 +0200
>> 
>> 12/09/11 13:22, Jambunathan K
>> >> Yes, I see the problem, but now I wonder how come users of Posix
>> >> platforms didn't see it.  Does it happen if your shell-file-name is
>> >> set to "sh", not "bash" (assuming the Cygwin Bash comes with such an
>> >> executable or a link)?
>> >
>> > sh and bash are apparently one and the same executable.
>> 
>> Bash runs in sh compatibility mode when invoked with "sh". From man bash:
>> 
>>        If bash is invoked with the name sh, it tries to mimic the
>>        startup behavior of historical versions of sh as closely as
>>        possible, while conforming to the POSIX standard as well.
>
> Right.  So results could be different, even though it's the same
> binary.  Jambunathan, please try that if you can.

The reported problem persists even if I run with emacs -Q and for ALL
THREE settings of shell-file-name

1. The default value - cmdproxy.exe
2. (setq shell-file-name "sh")
3. (setq shell-file-name "bash")

*vc-dir* correctly reports modified files in my work area correctly for
 ALL the above settings.

side note: My "shell quoting" changes produces the expected behaviour in
case of 2 and 3. But fails for scenario 1.

ps: I see that my remark about sh.exe and bash.exe being same has
produced some confusion. What I meant was sh.exe and bash.exe are
DIFFERENT EXECUTABLE FILES (in physical sense) but with the SAME
CONTENT.

,----
| $ ls -al *sh.exe
| -rwxr-xr-x 2 kjambunathan root  82446 2010-06-30 04:18 ash.exe
| -rwxr-xr-x 1 kjambunathan root 470542 2010-08-13 22:28 bash.exe
| -rwxr-xr-x 2 kjambunathan root  82446 2010-06-30 04:18 dash.exe
| -rwxr-xr-x 1 kjambunathan root   8718 2010-02-11 13:25 ppmflash.exe
| -rwxr-xr-x 1 kjambunathan root 470542 2010-08-13 22:28 sh.exe
| -rwxr-xr-x 1 kjambunathan root 342030 2010-09-03 14:14 ssh.exe
| lrwxrwxrwx 1 kjambunathan root     11 2011-03-16 14:31 tclsh.exe -> tclsh84.exe
| lrwxrwxrwx 1 kjambunathan root     10 2011-03-16 14:31 wish.exe -> wish84.exe
`----